SETPNP(8)

NAME
setpnp - modify Plug and Play BIOS device resources

SYNOPSIS
setpnp [-b] device resource...
setpnp [-b] device {on|off}

DESCRIPTION
This utility updates the system resource information for Plug and Play BIOS device nodes. A device is specified by its two-digit hex node number. In its first form, a list of resources are given on the command line. Alternatively, a device can either be simply switched ``on'' (reset to its boot configuration) or ``off'' (all resources disabled).

There are four types of resources: ``io'', ``mem'', ``irq'', and ``dma''. A resource list consists of one or more space-separated pairs of a resource type with one or more values. Multiple values for one resource type can be separated by commas. Values can also either be unitary or dash-separated ranges. For example:

    setpnp 0d io 0x2f8-0x2ff irq 3
    setpnp 12 io 0x350-0x35f,0x2f8-0x2ff irq 3 irq 10

The order of items of different types is not important, but if more than one item of the same type is present, their relative order is significant. The Plug and Play BIOS will reject invalid configuration attempts; however, setpnp will not attempt to determine why a configuration was rejected.

By default, current (dynamic) device configuration information is modified. With the -b option, a device's boot (static) configuration can be updated. Some devices may only be reconfigured for the following boot. Be especially careful when modifying your system's boot configuration. Improper use of this command may disable vital system devices and render your system unbootable.

OPTIONS

-b  Boot mode: update the device resource information that will be used at next boot (as opposed to current resource info).

FILES

/proc/bus/pnp/...
    The kernel interface for Plug and Play BIOS device services.

AUTHORS
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
lspnp(8)